Bug 892795 (CVE-2013-0158) - CVE-2013-0158 jenkins: remote unauthenticated retrieval of master cryptographic key (Jenkins Security Advisory 2013-01-04)
Summary: CVE-2013-0158 jenkins: remote unauthenticated retrieval of master cryptograph...
Status: CLOSED ERRATA
Alias: CVE-2013-0158
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20130104,repo...
Keywords: Security
Depends On: 894928 894930
Blocks: 892799
TreeView+ depends on / blocked
 
Reported: 2013-01-07 21:23 UTC by Vincent Danen
Modified: 2013-04-05 02:17 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-04-05 02:17:34 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0220 normal SHIPPED_LIVE Important: Red Hat OpenShift Enterprise 1.1 update 2013-02-01 01:23:24 UTC
Red Hat Bugzilla 890614 None None None Never

Internal Trackers: 890614

Description Vincent Danen 2013-01-07 21:23:13 UTC
It was reported [1] that Jenkins suffers from a vulnerability that allows an attacker with HTTP access to the server to retrieve the master cryptographic keys used by Jenkins to encrypt sensitive data in configuration files under $JENKINS_HOME, in HTML forms, the authenticate REST API access from users, and authenticating slaves connecting to the master.  An attacker with this key could execute arbitrary code on the Jenkins master or impersonate arbitrary users via REST API calls.

This can be somewhat mitigated, depending on certain installations:

- this is only applicable on Jenkins instances that have slaves attached to them, and allow anonymous read access
- regenerated API tokens, with a user can regenerate, cannot be impersonated by the attacker

This is fixed upstream in version 1.498 and the LTS 1.480.2 version.

In git, the fix seems to be spread across a few commits

[1] https://wiki.jenkins-ci.org/display/SECURITY/Jenkins+Security+Advisory+2013-01-04

In git, the fix seems to be spread across a few commits (those prefixed with [SECURITY-49]):

https://github.com/jenkinsci/jenkins/commit/a9aff088f327278a8873aef47fa8f80d3c5932fd
https://github.com/jenkinsci/jenkins/commit/4895eaafca468b7f0f1a3166b2fca7414f0d5da5
https://github.com/jenkinsci/jenkins/commit/c3d8e05a1b3d58b6c4dcff97394cb3a79608b4b2
https://github.com/jenkinsci/jenkins/commit/3dc13b957b14cec649036e8dd517f0f9cb21fb04
https://github.com/jenkinsci/jenkins/commit/94a8789b699132dd706021a6be1b78bc47f19602

Comment 7 errata-xmlrpc 2013-01-31 20:34:29 UTC
This issue has been addressed in following products:

  RHEL 6 Version of OpenShift Enterprise

Via RHSA-2013:0220 https://rhn.redhat.com/errata/RHSA-2013-0220.html


Note You need to log in before you can comment on or make changes to this bug.